﻿
$ErrorActionPreference= 'silentlycontinue'
function GenerateForm {
########################################################################
# Code Generated By: SAPIEN Technologies PrimalForms (Community Edition) v1.0.10.0
# Generated On: 19.10.2017 16:32
# Generated By: johannes
########################################################################

#region Import the Assemblies
[reflection.assembly]::loadwithpartialname("System.Drawing") | Out-Null
[reflection.assembly]::loadwithpartialname("System.Windows.Forms") | Out-Null
#endregion

#region Generated Form Objects
$form1 = New-Object System.Windows.Forms.Form
$Abbrechen = New-Object System.Windows.Forms.Button
$tabControl1 = New-Object System.Windows.Forms.TabControl
$tabPage2 = New-Object System.Windows.Forms.TabPage
$backup_start_btn = New-Object System.Windows.Forms.Button
$backup_in_btn = New-Object System.Windows.Forms.Button
$backup_out_btn = New-Object System.Windows.Forms.Button
$label7 = New-Object System.Windows.Forms.Label
$label6 = New-Object System.Windows.Forms.Label
$label5 = New-Object System.Windows.Forms.Label
$tabPage1 = New-Object System.Windows.Forms.TabPage
$status_update = New-Object System.Windows.Forms.Label
$status = New-Object System.Windows.Forms.Label
$playlist_checkbox = New-Object System.Windows.Forms.CheckBox
$pfad = New-Object System.Windows.Forms.CheckBox
$label2 = New-Object System.Windows.Forms.Label
$download_btn = New-Object System.Windows.Forms.Button
$label1 = New-Object System.Windows.Forms.Label
$video_url = New-Object System.Windows.Forms.TextBox
$video_btn = New-Object System.Windows.Forms.RadioButton
$audio_btn = New-Object System.Windows.Forms.RadioButton
$tabPage4 = New-Object System.Windows.Forms.TabPage
$label4 = New-Object System.Windows.Forms.Label
$rdp_btn_connect = New-Object System.Windows.Forms.Button
$label3 = New-Object System.Windows.Forms.Label
$ip_input = New-Object System.Windows.Forms.TextBox
$InitialFormWindowState = New-Object System.Windows.Forms.FormWindowState
#endregion Generated Form Objects

#----------------------------------------------
#Generated Event Script Blocks
#----------------------------------------------
#Provide Custom Code for events specified in PrimalForms.
$handler_textBox2_TextChanged= 
{
#TODO: Place custom script here

}

$handler_label3_Click= 
{
#TODO: Place custom script here

}

$backup_out_btn_OnClick= 
{
#TODO: Place custom script here
Function Select-FolderDialog
{
    param([string]$Description="Select Folder",[string]$RootFolder="Desktop")

 [System.Reflection.Assembly]::LoadWithPartialName("System.windows.forms") |
     Out-Null     

   $objForm = New-Object System.Windows.Forms.FolderBrowserDialog
        $objForm.Rootfolder = $RootFolder
        $objForm.Description = $Description
        $Show = $objForm.ShowDialog()
        If ($Show -eq "OK")
        {
            Return $objForm.SelectedPath
        }
        Else
        {
            Write-Error "Operation cancelled by user."
        }
    }

$backup_path_out = Select-FolderDialog

Write-Host $backup_path_out

}

$handler_label4_Click= 
{
#TODO: Place custom script here

}

$backup_in_btn_OnClick= 
{
#TODO: Place custom script here
Function Select-FolderDialog
{
    param([string]$Description="Select Folder",[string]$RootFolder="Desktop")

 [System.Reflection.Assembly]::LoadWithPartialName("System.windows.forms") |
     Out-Null     

   $objForm = New-Object System.Windows.Forms.FolderBrowserDialog
        $objForm.Rootfolder = $RootFolder
        $objForm.Description = $Description
        $Show = $objForm.ShowDialog()
        If ($Show -eq "OK")
        {
            Return $objForm.SelectedPath
        }
        Else
        {
            Write-Error "Operation cancelled by user."
        }
    }

$backup_path_in = Select-FolderDialog

Write-Host $backup_path_in

}

$Abbrechen_OnClick= 
{
#TODO: Place custom script here

}

$handler_button3_Click= 
{
#RemoteDesktop Verbinden
if ($ip_input.TextLength -eq 0){
#Wenn die IP-Adresse Textbox nichts ist dann wird ein Error angezeigt.
    [System.Windows.Forms.MessageBox]::Show("Geben sie bitte eine Valide IP-Adresse ein.","Fehler")
}
else {
# Die IP-Adresse wird übergeben und mit mstsc.exe dann Aufgerufen   
mstsc.exe /v: $ip_input.text

}

}

$download_btn_OnClick= 
{
#TODO: Place custom script here
if (($video_url.text -match "/watch*") -or ($video_url.text -match "playlist*")) { 

#Wenn die Textbox /watch enthaltet geht das Skript weiter, sonst nicht.

    if (($video_btn.Checked) -and ($video_url.text -match "/watch*")) {

         $status_update.Text = "Download (Video) gestartet..."
         #Wenn nur die erste checkbox angewählt ist, dann wird ein angezeigt das der Download gestartet wird.

         .\Resource\youtube-dl.exe $video_url.text --format mp4 -q --no-playlist -o "C:\%HOMEPATH%\Videos\YouTube Downloader\%(title)s-%(id)s.%(ext)s"
             #Hier wird das Download Programm gestartet, den Ausgabepfad und das Format angegeben.
            $status_update.Text = "Download abgeschlossen."
             #Falls der Download abgeschlossen wird, wird hier angezeigt, der Download wurde abgeschlossen.   
            if($pfad.checked){
            Start-Sleep -s 2
            # Code anhalten für 2 Sekunden
            $status_update.Text = "Ausgabeordner wird geöffnet"
            #Status Update Ausgabeordner wird geöffnet
            #Falls Ausgabe Ordner Öffnen ausgewählt ist, wird der Ordner mit dem Befehl untern geöffnet
            ii "$Env:userprofile\Videos\YouTube Downloader"
	        }
            
            Start-Sleep -s 3
            # Code anhalten für 3 Sekunden
            $status_update.Text = "Bereit"
            #Status wieder auf normal setzten
		}
    if (($audio_btn.checked)-and ($video_url.text -match "/watch*") ){
         $status_update.Text = "Download (Audio) gestartet..."
         #Wenn nur die zweite checkbox angewählt ist, dann wird ein angezeigt das der Download gestartet wird.

         .\Resource\youtube-dl.exe $video_url.text --format m4a -q --no-playlist -o "C:\%HOMEPATH%\Music\YouTube Downloader\%(title)s-%(id)s.%(ext)s"
         #Hier wird das Download Programm gestartet, den Ausgabepfad und das Format angegeben.

            $status_update.Text = "Download abgeschlossen."
           #Falls der Download abgeschlossen wird, wird hier angezeigt, der Download wurde abgeschlossen.
            if($pfad.checked){
            Start-Sleep -s 2
           # Code anhalten für 2 Sekunden
            $status_update.Text = "Ausgabeordner wird geöffnet"
           #Status Update Ausgabeordner wird geöffnet
           #Falls Ausgabe Ordner Öffnen ausgewählt ist, wird der Ordner mit dem Befehl untern geöffnet
            ii "$Env:userprofile\Music\YouTube Downloader"
         }
            Start-Sleep -s 3
            $status_update.Text = "Bereit"
	    }
    #Playlist Downloader
        if  ($video_url.text -like "*playlist*") { 
       
    if($video_btn.Checked){
         $status_update.Text = "Download (Playlist) gestartet..."
         #Wenn nur die erste checkbox angewählt ist, dann wird ein angezeigt das der Download gestartet wird.

         .\Resource\youtube-dl.exe $video_url.text --format mp4 -q --yes-playlist -o "C:\%HOMEPATH%\Videos\YouTube Downloader\Playlist\%(title)s-%(id)s.%(ext)s"
         #Hier wird das Download Programm gestartet, den Ausgabepfad und das Format angegeben.
         $status_update.Text = "Download abgeschlossen."
            
         
            
         #Falls der Download abgeschlossen wird, wird hier angezeigt, der Download wurde abgeschlossen.

            if($pfad.checked){
            Start-Sleep -s 2
            # Code anhalten für 2 Sekunden
            $status_update.Text = "Ausgabeordner wird geöffnet"
            #Status Update Ausgabeordner wird geöffnet
         #Falls Ausgabe Ordner Öffnen ausgewählt ist, wird der Ordner mit dem Befehl untern geöffnet
            ii "$Env:userprofile\Videos\YouTube Downloader\Playlist"
	        }
            Start-Sleep -s 3
            $status_update.Text = "Bereit"
		}
    if($audio_btn.checked){
         $status_update.Text = "Download (Playlist) gestartet..." 
         #Wenn nur die zweite checkbox angewählt ist, dann wird ein angezeigt das der Download gestartet wird.

         .\Resource\youtube-dl.exe $video_url.text --format m4a -q --yes-playlist -o "C:\%HOMEPATH%\Music\YouTube Downloader\Playlist\%(title)s-%(id)s.%(ext)s"
         #Hier wird das Download Programm gestartet, den Ausgabepfad und das Format angegeben.

            $status_update.Text = "Download abgeschlossen."
         #Falls der Download abgeschlossen wird, wird hier angezeigt, der Download wurde abgeschlossen.
            if($pfad.checked){
            Start-Sleep -s 2
           # Code anhalten für 2 Sekunden
            $status_update.Text = "Ausgabeordner wird geöffnet"
           #Status Update Ausgabeordner wird geöffnet
         #Falls Ausgabe Ordner Öffnen ausgewählt ist, wird der Ordner mit dem Befehl untern geöffnet
            ii "$Env:userprofile\Music\YouTube Downloader\Playlist"
         }
            Start-Sleep -s 3
            $status_update.Text = "Bereit"
	    }
    } 

  }

 else {
    [System.Windows.Forms.MessageBox]::Show("Bitte fügen sie einen validen Link ein.")
    # Falls der link nicht valid ist, dann wird ein Fenster angezeigt, dass man einen validen Link einfügen soll.
    }

}

$backup_start_btn_OnClick= 
{
#TODO: Place custom script here

}

$OnLoadForm_StateCorrection=
{#Correct the initial state of the form to prevent the .Net maximized form issue
	$form1.WindowState = $InitialFormWindowState
}

#----------------------------------------------
#region Generated Form Code
$form1.CancelButton = $Abbrechen
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 536
$System_Drawing_Size.Width = 704
$form1.ClientSize = $System_Drawing_Size
$form1.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 575
$System_Drawing_Size.Width = 720
$form1.MaximumSize = $System_Drawing_Size
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 575
$System_Drawing_Size.Width = 720
$form1.MinimumSize = $System_Drawing_Size
$form1.Name = "form1"
$form1.StartPosition = 1
$form1.Text = "Multitool"


$Abbrechen.DataBindings.DefaultDataSourceUpdateMode = 0
$Abbrechen.DialogResult = 2

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 613
$System_Drawing_Point.Y = 502
$Abbrechen.Location = $System_Drawing_Point
$Abbrechen.Name = "Abbrechen"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 23
$System_Drawing_Size.Width = 75
$Abbrechen.Size = $System_Drawing_Size
$Abbrechen.TabIndex = 1
$Abbrechen.Text = "Abbrechen"
$Abbrechen.UseVisualStyleBackColor = $True
$Abbrechen.add_Click($Abbrechen_OnClick)

$form1.Controls.Add($Abbrechen)

$tabControl1.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 12
$System_Drawing_Point.Y = 12
$tabControl1.Location = $System_Drawing_Point
$tabControl1.Name = "tabControl1"
$tabControl1.SelectedIndex = 0
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 484
$System_Drawing_Size.Width = 680
$tabControl1.Size = $System_Drawing_Size
$tabControl1.TabIndex = 0

$form1.Controls.Add($tabControl1)
$tabPage2.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 4
$System_Drawing_Point.Y = 22
$tabPage2.Location = $System_Drawing_Point
$tabPage2.Name = "tabPage2"
$System_Windows_Forms_Padding = New-Object System.Windows.Forms.Padding
$System_Windows_Forms_Padding.All = 3
$System_Windows_Forms_Padding.Bottom = 3
$System_Windows_Forms_Padding.Left = 3
$System_Windows_Forms_Padding.Right = 3
$System_Windows_Forms_Padding.Top = 3
$tabPage2.Padding = $System_Windows_Forms_Padding
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 458
$System_Drawing_Size.Width = 672
$tabPage2.Size = $System_Drawing_Size
$tabPage2.TabIndex = 1
$tabPage2.Text = "Backup"
$tabPage2.UseVisualStyleBackColor = $True

$tabControl1.Controls.Add($tabPage2)

$backup_start_btn.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 259
$System_Drawing_Point.Y = 291
$backup_start_btn.Location = $System_Drawing_Point
$backup_start_btn.Name = "backup_start_btn"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 58
$System_Drawing_Size.Width = 176
$backup_start_btn.Size = $System_Drawing_Size
$backup_start_btn.TabIndex = 6
$backup_start_btn.Text = "Backup starten"
$backup_start_btn.UseVisualStyleBackColor = $True
$backup_start_btn.add_Click($backup_start_btn_OnClick)

$tabPage2.Controls.Add($backup_start_btn)


$backup_in_btn.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 239
$System_Drawing_Point.Y = 97
$backup_in_btn.Location = $System_Drawing_Point
$backup_in_btn.Name = "backup_in_btn"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 23
$System_Drawing_Size.Width = 75
$backup_in_btn.Size = $System_Drawing_Size
$backup_in_btn.TabIndex = 5
$backup_in_btn.Text = "Auswählen"
$backup_in_btn.UseVisualStyleBackColor = $True
$backup_in_btn.add_Click($backup_in_btn_OnClick)

$tabPage2.Controls.Add($backup_in_btn)


$backup_out_btn.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 239
$System_Drawing_Point.Y = 138
$backup_out_btn.Location = $System_Drawing_Point
$backup_out_btn.Name = "backup_out_btn"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 23
$System_Drawing_Size.Width = 75
$backup_out_btn.Size = $System_Drawing_Size
$backup_out_btn.TabIndex = 4
$backup_out_btn.Text = "Auswählen"
$backup_out_btn.UseVisualStyleBackColor = $True
$backup_out_btn.add_Click($backup_out_btn_OnClick)

$tabPage2.Controls.Add($backup_out_btn)

$label7.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 87
$System_Drawing_Point.Y = 138
$label7.Location = $System_Drawing_Point
$label7.Name = "label7"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 21
$System_Drawing_Size.Width = 146
$label7.Size = $System_Drawing_Size
$label7.TabIndex = 3
$label7.Text = "Speicherort des Backup''s:"

$tabPage2.Controls.Add($label7)

$label6.DataBindings.DefaultDataSourceUpdateMode = 0
$label6.Font = New-Object System.Drawing.Font("Microsoft Sans Serif",14.25,0,3,1)

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 273
$System_Drawing_Point.Y = 31
$label6.Location = $System_Drawing_Point
$label6.Name = "label6"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 35
$System_Drawing_Size.Width = 124
$label6.Size = $System_Drawing_Size
$label6.TabIndex = 2
$label6.Text = "Backup"

$tabPage2.Controls.Add($label6)

$label5.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 32
$System_Drawing_Point.Y = 102
$label5.Location = $System_Drawing_Point
$label5.Name = "label5"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 23
$System_Drawing_Size.Width = 201
$label5.Size = $System_Drawing_Size
$label5.TabIndex = 1
$label5.Text = "Pfad zum ein Backup erstellen angeben:"

$tabPage2.Controls.Add($label5)


$tabPage1.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 4
$System_Drawing_Point.Y = 22
$tabPage1.Location = $System_Drawing_Point
$tabPage1.Name = "tabPage1"
$System_Windows_Forms_Padding = New-Object System.Windows.Forms.Padding
$System_Windows_Forms_Padding.All = 3
$System_Windows_Forms_Padding.Bottom = 3
$System_Windows_Forms_Padding.Left = 3
$System_Windows_Forms_Padding.Right = 3
$System_Windows_Forms_Padding.Top = 3
$tabPage1.Padding = $System_Windows_Forms_Padding
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 458
$System_Drawing_Size.Width = 672
$tabPage1.Size = $System_Drawing_Size
$tabPage1.TabIndex = 3
$tabPage1.Text = "Youtube Downloader"
$tabPage1.UseVisualStyleBackColor = $True

$tabControl1.Controls.Add($tabPage1)
$status_update.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 257
$System_Drawing_Point.Y = 328
$status_update.Location = $System_Drawing_Point
$status_update.Name = "status_update"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 16
$System_Drawing_Size.Width = 200
$status_update.Size = $System_Drawing_Size
$status_update.TabIndex = 9
$status_update.Text = "Idle"

$tabPage1.Controls.Add($status_update)

$status.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 203
$System_Drawing_Point.Y = 328
$status.Location = $System_Drawing_Point
$status.Name = "status"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 16
$System_Drawing_Size.Width = 48
$status.Size = $System_Drawing_Size
$status.TabIndex = 8
$status.Text = "Status:"

$tabPage1.Controls.Add($status)




$pfad.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 265
$System_Drawing_Point.Y = 280
$pfad.Location = $System_Drawing_Point
$pfad.Name = "pfad"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 30
$System_Drawing_Size.Width = 168
$pfad.Size = $System_Drawing_Size
$pfad.TabIndex = 6
$pfad.Text = "Ausgabe Ordner öffnen"
$pfad.UseVisualStyleBackColor = $True

$tabPage1.Controls.Add($pfad)

$label2.DataBindings.DefaultDataSourceUpdateMode = 0
$label2.Font = New-Object System.Drawing.Font("Microsoft Sans Serif",14.25,0,3,1)

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 247
$System_Drawing_Point.Y = 43
$label2.Location = $System_Drawing_Point
$label2.Name = "label2"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 33
$System_Drawing_Size.Width = 194
$label2.Size = $System_Drawing_Size
$label2.TabIndex = 5
$label2.Text = "Yotube Downloader"

$tabPage1.Controls.Add($label2)


$download_btn.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 265
$System_Drawing_Point.Y = 364
$download_btn.Location = $System_Drawing_Point
$download_btn.Name = "download_btn"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 41
$System_Drawing_Size.Width = 168
$download_btn.Size = $System_Drawing_Size
$download_btn.TabIndex = 4
$download_btn.Text = "Download"
$download_btn.UseVisualStyleBackColor = $True
$download_btn.add_Click($download_btn_OnClick)

$tabPage1.Controls.Add($download_btn)

$label1.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 130
$System_Drawing_Point.Y = 121
$label1.Location = $System_Drawing_Point
$label1.Name = "label1"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 17
$System_Drawing_Size.Width = 111
$label1.Size = $System_Drawing_Size
$label1.TabIndex = 3
$label1.Text = "Youtube Video URL:"

$tabPage1.Controls.Add($label1)

$video_url.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 247
$System_Drawing_Point.Y = 118
$video_url.Location = $System_Drawing_Point
$video_url.Name = "video_url"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 20
$System_Drawing_Size.Width = 237
$video_url.Size = $System_Drawing_Size
$video_url.TabIndex = 2

$tabPage1.Controls.Add($video_url)


$video_btn.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 247
$System_Drawing_Point.Y = 201
$video_btn.Location = $System_Drawing_Point
$video_btn.Name = "video_btn"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 24
$System_Drawing_Size.Width = 104
$video_btn.Size = $System_Drawing_Size
$video_btn.TabIndex = 1
$video_btn.Text = "Video"
$video_btn.UseVisualStyleBackColor = $True

$tabPage1.Controls.Add($video_btn)


$audio_btn.Checked = $True
$audio_btn.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 247
$System_Drawing_Point.Y = 171
$audio_btn.Location = $System_Drawing_Point
$audio_btn.Name = "audio_btn"
$audio_btn.RightToLeft = 0
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 24
$System_Drawing_Size.Width = 105
$audio_btn.Size = $System_Drawing_Size
$audio_btn.TabIndex = 0
$audio_btn.TabStop = $True
$audio_btn.Text = "Audio"
$audio_btn.UseVisualStyleBackColor = $True

$tabPage1.Controls.Add($audio_btn)


$tabPage4.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 4
$System_Drawing_Point.Y = 22
$tabPage4.Location = $System_Drawing_Point
$tabPage4.Name = "tabPage4"
$System_Windows_Forms_Padding = New-Object System.Windows.Forms.Padding
$System_Windows_Forms_Padding.All = 3
$System_Windows_Forms_Padding.Bottom = 3
$System_Windows_Forms_Padding.Left = 3
$System_Windows_Forms_Padding.Right = 3
$System_Windows_Forms_Padding.Top = 3
$tabPage4.Padding = $System_Windows_Forms_Padding
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 458
$System_Drawing_Size.Width = 672
$tabPage4.Size = $System_Drawing_Size
$tabPage4.TabIndex = 4
$tabPage4.Text = "Remotedesktop"
$tabPage4.UseVisualStyleBackColor = $True

$tabControl1.Controls.Add($tabPage4)
$label4.DataBindings.DefaultDataSourceUpdateMode = 0
$label4.Font = New-Object System.Drawing.Font("Microsoft Sans Serif",14.25,0,3,1)

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 258
$System_Drawing_Point.Y = 44
$label4.Location = $System_Drawing_Point
$label4.Name = "label4"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 30
$System_Drawing_Size.Width = 208
$label4.Size = $System_Drawing_Size
$label4.TabIndex = 3
$label4.Text = "Remotedesktop"
$label4.add_Click($handler_label4_Click)

$tabPage4.Controls.Add($label4)


$rdp_btn_connect.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 258
$System_Drawing_Point.Y = 242
$rdp_btn_connect.Location = $System_Drawing_Point
$rdp_btn_connect.Name = "rdp_btn_connect"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 41
$System_Drawing_Size.Width = 183
$rdp_btn_connect.Size = $System_Drawing_Size
$rdp_btn_connect.TabIndex = 2
$rdp_btn_connect.Text = "Verbinden"
$rdp_btn_connect.UseVisualStyleBackColor = $True
$rdp_btn_connect.add_Click($handler_button3_Click)

$tabPage4.Controls.Add($rdp_btn_connect)

$label3.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 199
$System_Drawing_Point.Y = 175
$label3.Location = $System_Drawing_Point
$label3.Name = "label3"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 24
$System_Drawing_Size.Width = 63
$label3.Size = $System_Drawing_Size
$label3.TabIndex = 1
$label3.Text = "IP-Adresse:"
$label3.add_Click($handler_label3_Click)

$tabPage4.Controls.Add($label3)

$ip_input.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 268
$System_Drawing_Point.Y = 172
$ip_input.Location = $System_Drawing_Point
$ip_input.Name = "ip_input"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 20
$System_Drawing_Size.Width = 164
$ip_input.Size = $System_Drawing_Size
$ip_input.TabIndex = 0
$ip_input.add_TextChanged($handler_textBox2_TextChanged)

$tabPage4.Controls.Add($ip_input)



#endregion Generated Form Code

#Save the initial state of the form
$InitialFormWindowState = $form1.WindowState
#Init the OnLoad event to correct the initial state of the form
$form1.add_Load($OnLoadForm_StateCorrection)
#Show the Form
$form1.ShowDialog()| Out-Null

} #End Function

#Call the Function
GenerateForm
